/**
 * $Id: ProxyEvent.java,v 1.4 2001/07/27 00:32:15 pcj Exp $
 *
 * Copyright (C) 2001 Paul Cody Johnston - pcj@inxar.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA.
 **/
package org.inxar.hotswap;

import java.util.EventObject;

/**
 * Base <code>EventObject</code> class for all proxy library event
 * subclasses.
 *
 * @since 0.8.2
**/
public class ProxyEvent extends EventObject
{
    /**
     * A cached newline <code>String</code>.
    **/
    protected static final String NL = System.getProperty("line.separator");

    /**
     * Standard constructor.
    **/
    public ProxyEvent(Object source)
    {
	super(source);
    }
}
