@echo off

if "%JAVA_HOME%" == "" goto nohome
if "%HOTSWAP_HOME%" == "" goto nohotswap

# System stuff.  Edit as needed.
set JAVA=%JAVA_HOME%\bin\java
set TOOLSJAR=%JAVA_HOME%\lib\tools.jar

set PROPERTIES=%HOTSWAP_HOME%\examples\examples.properties
set CLASSPATH=%HOTSWAP_HOME%\lib\hotswap.jar
set CLASSNAME=HelloWorld

set CMD=%JAVA% -classpath %CLASSPATH%;%TOOLSJAR% -Dorg.inxar.hotswap.properties=%PROPERTIES% example.Main %CLASSNAME%

echo %CMD%
%CMD%

goto done

:nohome
echo [helloworld][error] No JAVA_HOME environment variable set.
goto done

:nohotswap
echo [helloworld][error] No HOTSWAP_HOME environment variable set.
goto done

:done
echo [helloworld][debug] Done.









