/**
 * $Id: Example.java,v 1.2 2001/06/25 20:30:17 pcj Exp $
 *
 * Copyright (C) 2001 Paul Cody Johnston - pcj@inxar.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA.
 **/
package example;

/**
 * Interface that should be implemented by test classes in the
 * <code>$HOTSWAP_HOME/examples</code> directory.  For simplicity,
 * <code>Example</code> implementations need to be public classes and
 * should have a public no-argument constructor.
**/
public interface Example
{
    /**
     * Do whatever you want to do.
    **/
    void execute();

    /**
     * Return the number of milliseconds to sleep inbetween hotswap
     * attempts; a negative number will stop the Hotswap
     * <code>Thread</code> and exit the program.
    **/
    long getSleepMillis();
}
